Files
apfstests/131
T
Dave Chinner 76d3f120e2 xfstests: kill in 131 needs to be quiet
If the kill fails because the processes have already terminates,
the output from kill (no such process) will cause the test to
fail. Make sure kill doesn't output anything.

Signed-off-by: Dave Chinner <david@fromorbit.com>
Reviewed-by: Christoph Hellwig <hch@lst.de>
2010-01-21 08:54:38 +11:00

84 lines
2.0 KiB
Bash
Executable File

#! /bin/bash
# FSQA Test No. 131
#
# lock test created from CXFSQA test lockfile_simple
#
#-----------------------------------------------------------------------
# Copyright (c) 2006 Silicon Graphics, Inc. All Rights Reserved.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it would be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
#
#-----------------------------------------------------------------------
#
# creator
owner=allanr@sgi.com
seq=`basename $0`
echo "QA output created by $seq"
here=`pwd`
tmp=/tmp/$$
status=1 # failure is the default!
trap "_cleanup; exit \$status" 0 1 2 3 15
_cleanup()
{
kill $locktest_pid2 2&>1 /dev/null
kill $locktest_pid1 2&>1 /dev/null
_cleanup_testdir
}
# get standard environment, filters and checks
. ./common.rc
. ./common.filter
# real QA test starts here
_supported_fs generic
_supported_os Linux
_setup_testdir
TESTFILE=$testdir/lock_file
# Grab a port which is hopefully unused
if [ $$ -gt 1024 -a $$ -lt 32000 ]; then
PORT=$$
elif [ $$ -lt 1024 ]; then
PORT=$(($$+1024))
elif [ $$ -gt 32000 ]; then
PORT=$(($$%30000+1024))
fi
# Start the server
src/locktest -p $PORT $TESTFILE > $testdir/server.out 2>&1 &
locktest_pid1=$!
sleep 1
# Start the client
src/locktest -p $PORT -h localhost $TESTFILE > $testdir/client.out 2>&1
locktest_pid2=$!
result=$?
if [ $result -eq 0 ]; then
echo success!
else
echo "Client reported failure ($result)"
cat $testdir/*.out
_cleanup
exit $status
fi
status=0
exit